/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.util.Iterator;
import java.util.List;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Convenio;
import com.rjconsultores.ventaboletos.entidad.ConvenioEmpresa;

/**
 *
 * @author Administrador
 */
public class RenderConvenio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Convenio convenio = (Convenio) o;

        Listcell lc = new Listcell(convenio.getConvenioId().toString());
        lc.setParent(lstm);

        if (convenio.getDescconvenio() != null) {
            lc = new Listcell(convenio.getDescconvenio());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (convenio.getCveconvenio() != null) {
            lc = new Listcell(convenio.getCveconvenio());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Boolean valida = convenio.getValidafolio();
        if (valida == null) {
            lc = new Listcell(Labels.getLabel("MSG.NO.VALIDA"));
        } else {
            if (valida) {
                lc = new Listcell(Labels.getLabel("MSG.VALIDA"));
            } else {
                lc = new Listcell(Labels.getLabel("MSG.NO.VALIDA"));
            }
        }
        lc.setParent(lstm);

        if (convenio.getImprimeprecio() != null) {
            if (convenio.getImprimeprecio().equals(Convenio.IMPRIME_DESCONTO)) {
                lc = new Listcell(Labels.getLabel("MSG.IMPRIME.DESCONTO"));
            } else if (convenio.getImprimeprecio().equals(Convenio.IMPRIME_PRECO_MENOS_DESCONTO)) {
                lc = new Listcell(Labels.getLabel("MSG.IMPRIME.PRECO.MENOS.DESCONTO"));
            } else if (convenio.getImprimeprecio().equals(Convenio.IMPRIME_PRECO_TOTAL)) {
                lc = new Listcell(Labels.getLabel("MSG.IMPRIME.PRECO.TOTAL"));
            }
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);
        
        List<ConvenioEmpresa> convenioEmpresaList = convenio.getConvenioEmpresaList();
        StringBuilder empresasBuilder = new StringBuilder();
        
        if(!convenioEmpresaList.isEmpty()){
        	
        	Iterator<ConvenioEmpresa> convenioEmpresaIt = convenioEmpresaList.iterator();
        	empresasBuilder.append(convenioEmpresaIt.next().getEmpresa().getNombempresa());
        	
        	while(convenioEmpresaIt.hasNext())
        		empresasBuilder.append(" \\ ")
        						.append(convenioEmpresaIt.next().getEmpresa().getNombempresa());
        	        	
        }
        
        lc = new Listcell(empresasBuilder.toString());
    	lc.setParent(lstm);

        lstm.setAttribute("data", convenio);
    }
}
